Debian Bug report logs - #444714
wvdial doesn't completely ignore comment lines

version graph

Package: wvdial; Maintainer for wvdial is Thierry Randrianiriana <thierry@debian.org>; Source for wvdial is src:wvdial.

Reported by: Hilmar Preusse <hille42@web.de>

Date: Sun, 30 Sep 2007 14:09:13 UTC

Severity: normal

Found in version wvdial/1.56-1.2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Simon Law <sfllaw@debian.org>:
Bug#444714; Package wvdial. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
New Bug report received and forwarded. Copy sent to Simon Law <sfllaw@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wvdial doesn't completely ignore comment lines
Date: Sun, 30 Sep 2007 16:08:50 +0200
Package: wvdial
Version: 1.56-1.2
Severity: normal

Hi,

I have comments in my wvdial.conf according to the readme:

;
[Dialer arcor-basis]
; 0,99¢ (Ganztag)
Phone = 01920781
Username = xxxx
Password = yyyy
;
[Dialer arcor-basis-tag]
; Mo-Fr 9-18: 0,65¢; Sa-So 9-18: 0,50¢, Mo-So 18-9: 1,99¢

When running wvdial it complains about invalid syntax:

hille@drachi:~$ wvdial
--> Ignoring malformed input line: ";"
--> Ignoring malformed input line: "; 0,99¢ (Ganztag)"
--> Ignoring malformed input line: ";"
--> Ignoring malformed input line: "; Mo-Fr 9-18: 0,65¢; Sa-So 9-18: 0,50¢, Mo-So 18-9: 1,99¢"
<snip>

meanwhile the line aftre the ; is really invalid I assume the lines starting
with ; are comment lines.

Thanks,
  Hilmar

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable'), (1, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-5-686
Locale: LANG=C, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages wvdial depends on:
ii  debconf                1.5.11            Debian configuration management sy
ii  libc6                  2.3.6.ds1-13etch2 GNU C Library: Shared libraries
ii  libuniconf4.2          4.2.2-2.2         C++ network libraries for rapid ap
ii  libwvstreams4.2-base   4.2.2-2.2         C++ network libraries for rapid ap
ii  libwvstreams4.2-extras 4.2.2-2.2         C++ network libraries for rapid ap
ii  libxplc0.3.13          0.3.13-1          Light weight component system
ii  ppp                    2.4.4rel-8        Point-to-Point Protocol (PPP) daem

wvdial recommends no packages.

-- debconf information:
  wvdial/wvdialconf: true
  wvdial/passphrases_mismatch:




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:25:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.